Request an item performance report
Use this report to measure sales and conversion for items in your catalog. It aggregates demand and performance metrics so you can identify high-performing items, diagnose underperforming items, and prioritize pricing or content updates.
Date range support
ITEM_PERFORMANCEv1 and v2 support optional date range filtersdataStartTimeanddataEndTime. If you don't specify a date range, the report defaults to the previous 30 days.ITEM_PERFORMANCEv3 requires thedataStartTime,dataEndTime, anddateGranularityrequest body parameters.- The maximum reporting period depends on the selected
dateGranularity. See Maximum reporting period below.
Date range filters (applies to v1, v2, and v3)
- The max lookback period for the date range filter is 2 years from current date (current date minus
dataStartTimemust be less than or equal to 2 years). - The
dataEndTimemust be less than or equal to the current date. - The
dataStartTimemust be less than or equal todataEndTime.
Maximum reporting window (applies to v3 only)
For ITEM_PERFORMANCE v3, the maximum reporting window depends on the selected dateGranularity.
| dateGranularity | Maximum reporting window |
|---|---|
DAILY | must be less than or equal to 15 days |
WEEKLY | must be less than or equal to 7 weeks |
MONTHLY | must be less than or equal to 15 months |
QUARTERLY | must be less than or equal to 4 quarters |
Requests that exceed the supported reporting period return an error.
Endpoint
POST https://marketplace.walmartapis.com/v3/reports/reportRequests?reportType=ITEM_PERFORMANCE&reportVersion=v1The request body is optional for ITEM_PERFORMANCE v1 and v2. When the request is accepted, the API returns a requestId that you can use to track the request status and download the report.
Request body parameters
The following request body parameters are required for ITEM_PERFORMANCE v3.
| Parameter | Type | Required | Description |
|---|---|---|---|
dataStartTime | string (ISO 8601) | Yes (v3 only) | Beginning of the reporting period. |
dataEndTime | string (ISO 8601) | Yes (v3 only) | End of the reporting period. |
dateGranularity | string | Yes (v3 only) | Aggregation level for the report. Currently available only for ITEM_PERFORMANCE v3. |
Incomplete reporting periods
If the requested date range includes a period that does not align with the natural boundaries of the selected aggregation period (meaning WEEKLY, MONTHLY, or QUARTERLY) the report returns a partial period of the requested range.
For example, a request with dataStartTime of December 1, 2025, and dataEndTime of February 19, 2026, returns three monthly rows. The February row represents a partial month because the requested date range ends before February 28, 2026. Refer to the Sample request with incomplete date range (v3) below.
Review the Data Start Time and Data End Time columns in the report to determine the actual reporting period represented by each record.
Sample request (v1)
POST https://marketplace.walmartapis.com/v3/reports/reportRequests?reportType=ITEM_PERFORMANCE&reportVersion=v1
Accept: application/json
Content-Type: application/json
WM_QOS.CORRELATION_ID: b3261d2d-028a-4ef7-8602-633c23200af6
WM_SEC.ACCESS_TOKEN: eyJraWQiOiIzZjVhYTFmNS1hYWE5LTQzM.....
WM_SVC.NAME: Walmart Service Name {}Sample request (v3)
POST https://marketplace.walmartapis.com/v3/reports/reportRequests?reportType=ITEM_PERFORMANCE&reportVersion=v3
Accept: application/json
Content-Type: application/json
WM_QOS.CORRELATION_ID: b3261d2d-028a-4ef7-8602-633c23200af6
WM_SEC.ACCESS_TOKEN: eyJraWQiOiIzZjVhYTFmNS1hYWE5LTQzM.....
WM_SVC.NAME: Walmart Service Name { "format": "CSV", "dataStartTime": "2025-10-01T00:00:00Z", "dataEndTime": "2025-10-15T23:59:59Z", "dateGranularity": "DAILY"
}Sample request with incomplete date range (v3)
POST https://marketplace.walmartapis.com/v3/reports/reportRequests?reportType=ITEM_PERFORMANCE&reportVersion=v3
Accept: application/json
Content-Type: application/json
WM_QOS.CORRELATION_ID: b3261d2d-028a-4ef7-8602-633c23200af6
WM_SEC.ACCESS_TOKEN: eyJraWQiOiIzZjVhYTFmNS1hYWE5LTQzM.....
WM_SVC.NAME: Walmart Marketplace { "format": "CSV", "dataStartTime": "2025-12-01T00:00:00Z", "dataEndTime": "2026-02-19T23:59:59Z", "dateGranularity": "MONTHLY"
}Sample response
{ "requestId": "d09e9fd0-74bb-42c7-8d48-80d6cdbdf4b7", "requestStatus": "RECEIVED", "reportType": "ITEM_PERFORMANCE", "reportVersion": "v3"
}cURL
curl --request POST \ --url 'https://marketplace.walmartapis.com/v3/reports/reportRequests?reportType=ITEM_PERFORMANCE&reportVersion=v3' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --header 'WM_QOS.CORRELATION_ID: b3261d2d-028a-4ef7-8602-633c23200af6' \ --header 'WM_SEC.ACCESS_TOKEN: eyJraWQiOiIzZjVhYTFmNS1hYWE5LTQzM.....' \ --header 'WM_SVC.NAME: Walmart Service Name' \ --data '
{ "dataStartTime": "2024-08-10T20:11:24.000Z", "dataEndTime": "2024-08-25T20:11:24.000Z", "dateGranularity": "DAILY", "rowFilters": [ { "type": "rangeFilter", "columnName": "Offer Start Date", "from": "2020-03-16" } ]
}'Note: Use a new GUID for each request. Save the requestId so you can track the request status and download the report.
Track and download
-
Check the request status until the report is ready.
GET https://marketplace.walmartapis.com/v3/reports/reportRequests/{requestId}Status values:
RECEIVED,INPROGRESS,READY, andERROR. -
Download the report after the status changes to
READY.GET https://marketplace.walmartapis.com/v3/reports/downloadReport?requestId={requestId}
If you prefer not to poll, subscribe to Report status notifications to receive a callback when the report is ready.
Report fields
Headers are case sensitive and appear exactly as shown below.
| Field | Description | Origin |
|---|---|---|
Data Start Time | Beginning of the reporting period represented by the record. | Walmart |
Data End Time | End of the reporting period represented by the record. | Walmart |
Product Name | Title of the product. | Seller |
Item ID | Identifier that Walmart assigns to the product. | Walmart |
SKU ID | Seller SKU. | Seller |
Super Department | Super department for the product. | Seller |
Department | Department for the product. | Walmart |
Category | Product category. | Walmart |
Sub Category | Product subcategory. | Walmart |
Brand | Product brand. | Seller |
GMV | Gross merchandise value. | Walmart |
Commission | Commission paid to Walmart. | Walmart |
GMV-Commission | GMV minus commission. | Walmart |
AUR | Average unit retail. | Walmart |
Total Units | Authorized units minus canceled units. | Walmart |
legacySlrId | Seller identifier. | Walmart |
Cancelled Units | Total canceled units. | Walmart |
Cancelled Sales | Total canceled sales. | Walmart |
Item Conversion Rate | Percentage of item visits that resulted in purchases. | Walmart |
Base Item Id | Base item identifier. | Walmart |
Total Product Visits | Total offer-level visits. | Walmart |
GMV Comp % | Year-over-year GMV comparison. | Walmart |
Authorized Orders | Total authorized orders. | Walmart |
Authorized Units | Total authorized units sold. | Walmart |
Authorized Sales | Total authorized sales. | Walmart |
Total LY GMV | Previous year's GMV. | Walmart |
Product Level Pageviews | Product-level page views. | Walmart |
Product Level Conversion Rate | Product-level conversion rate. | Walmart |
Refunded Sales | Total refunded sales. | Walmart |
Note: Some catalogs include additional columns. The downloaded report is the source of truth for the complete list of report fields.
Error handling
| HTTP | Code | When it happens | Resolution |
|---|---|---|---|
| 400 | MISSING_REQUEST_PARAM | Required parameter is missing. | Add the missing parameter and retry the request. |
| 400 | INVALID_REQUEST | Unsupported report version, invalid request body, or unsupported reporting period. | Verify the request body and report version. |
| 401 | UNAUTHORIZED | Missing or invalid OAuth token. | Refresh the access token and retry. |
| 404 | CONTENT_NOT_FOUND | Unknown or expired requestId. | Verify the requestId. |
| 429 | RATE_LIMIT_EXCEEDED | Too many requests. | Retry using exponential backoff. |
| 500 | INTERNAL_ERROR | Unexpected server error. | Retry the request or contact support if the problem persists. |
Next steps
Related
Updated 1 day ago

